--**********************
--  EHSD
--  ROUTE LINES
--**********************

-- Flight Plan Route lines
local map_scale = 0.5 * GetScale()
local line_brts = 0.20


local	Route_Line_BG					= CreateElement "ceSimpleLineObject"
		Route_Line_BG.name				= "Route_Line_BG"
		Route_Line_BG.material   		= mpcd_ehsd_lines_bg
		Route_Line_BG.width      	 	= 0.007
		Route_Line_BG.init_pos			= {0, 0, 0}
		Route_Line_BG.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_Route_Line", map_scale}}
Add_MPCD_VIDEO_Element(Route_Line_BG)

local	Route_Line_FG					= CreateElement "ceSimpleLineObject"
		Route_Line_FG.name				= "Route_Line_FG"
		Route_Line_FG.material   		= mpcd_ehsd_route_lines_green
		Route_Line_FG.width      	 	= 0.005
		Route_Line_FG.init_pos			= {0, 0, 0}
		Route_Line_FG.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_Route_Line", map_scale}}
Add_MPCD_VIDEO_Element(Route_Line_FG)

--  TERM Route Line
local	NSEQ_TERM_Route_BG					= CreateElement "ceSimpleLineObject"
		NSEQ_TERM_Route_BG.name				= "NSEQ_TERM_Route_BG"
		NSEQ_TERM_Route_BG.material   		= mpcd_ehsd_lines_bg
		NSEQ_TERM_Route_BG.width      	 	= 0.007
		NSEQ_TERM_Route_BG.init_pos			= {0, 0, 0}
		NSEQ_TERM_Route_BG.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_TERM_Route", map_scale}}
Add_MPCD_VIDEO_Element(NSEQ_TERM_Route_BG)

local	NSEQ_TERM_Route_FG					= CreateElement "ceSimpleLineObject"
		NSEQ_TERM_Route_FG.name				= "NSEQ_TERM_Route_FG"
		NSEQ_TERM_Route_FG.material   		= mpcd_ehsd_route_lines_violet
		NSEQ_TERM_Route_FG.width      	 	= 0.005
		NSEQ_TERM_Route_FG.init_pos			= {0, 0, 0}
		NSEQ_TERM_Route_FG.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_TERM_Route", map_scale}}
Add_MPCD_VIDEO_Element(NSEQ_TERM_Route_FG)

--  NSEQ Route Lines
local	NSEQ_IGRS_Route_BG					= CreateElement "ceSimpleLineObject"
		NSEQ_IGRS_Route_BG.name				= "NSEQ_IGRS_Route_BG"
		NSEQ_IGRS_Route_BG.material   		= mpcd_ehsd_lines_bg
		NSEQ_IGRS_Route_BG.width      	 	= 0.007
		NSEQ_IGRS_Route_BG.init_pos			= {0, 0, 0}
		NSEQ_IGRS_Route_BG.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_NSEQ_Route_IGRS", map_scale}}
Add_MPCD_VIDEO_Element(NSEQ_IGRS_Route_BG)

local	NSEQ_IGRS_Route_FG					= CreateElement "ceSimpleLineObject"
		NSEQ_IGRS_Route_FG.name				= "NSEQ_IGRS_Route_FG"
		NSEQ_IGRS_Route_FG.material   		= mpcd_ehsd_route_lines_violet
		NSEQ_IGRS_Route_FG.width      	 	= 0.005
		NSEQ_IGRS_Route_FG.init_pos			= {0, 0, 0}
		NSEQ_IGRS_Route_FG.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_NSEQ_Route_IGRS", map_scale}}
Add_MPCD_VIDEO_Element(NSEQ_IGRS_Route_FG)

local	NSEQ_EGRS_Route_BG					= CreateElement "ceSimpleLineObject"
		NSEQ_EGRS_Route_BG.name				= "NSEQ_EGRS_Route_BG"
		NSEQ_EGRS_Route_BG.material   		= mpcd_ehsd_lines_bg
		NSEQ_EGRS_Route_BG.width      	 	= 0.007
		NSEQ_EGRS_Route_BG.init_pos			= {0, 0, 0}
		NSEQ_EGRS_Route_BG.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_NSEQ_Route_EGRS", map_scale}}
Add_MPCD_VIDEO_Element(NSEQ_EGRS_Route_BG)

local	NSEQ_EGRS_Route_FG					= CreateElement "ceSimpleLineObject"
		NSEQ_EGRS_Route_FG.name				= "NSEQ_EGRS_Route_FG"
		NSEQ_EGRS_Route_FG.material   		= mpcd_ehsd_route_lines_orange
		NSEQ_EGRS_Route_FG.width      	 	= 0.005
		NSEQ_EGRS_Route_FG.init_pos			= {0, 0, 0}
		NSEQ_EGRS_Route_FG.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_NSEQ_Route_EGRS", map_scale}}
Add_MPCD_VIDEO_Element(NSEQ_EGRS_Route_FG)
